> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel all open orders on an exchange (supported on Binance, Extended, and Lighter)



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json delete /exchange/all-orders
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /exchange/all-orders:
    delete:
      tags:
        - Exchange
      summary: >-
        Cancel all open orders on an exchange (supported on Binance, Extended,
        and Lighter)
      operationId: ExchangeController_cancelAllOrders
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelAllOrdersBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelAllOrdersDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    CancelAllOrdersBodyDto:
      type: object
      properties:
        exchange:
          type: string
          enum:
            - aster
            - binance
            - bybit
            - extended
            - gate
            - hyperliquid
            - lighter
            - mexc
            - ondo
            - robinhood
          description: Supported perpetual exchange
      required:
        - exchange
      title: CancelAllOrders
    CancelAllOrdersDto:
      type: object
      properties:
        status:
          type: string
          description: Cancellation status
          example: ok
          enum:
            - ok
      required:
        - status
      title: CancelAllOrders
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.